Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class SelectionType

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.SelectionType

Deprecated

    @Deprecated
    public class SelectionType

extends Object

Field Summary
`static String` | `cName` Deprecated
`static int` | `I_ROUND_ROBIN_1_BY_1` Deprecated
`static int` | `I_SET` Deprecated
`static SelectionType` | `ROUND_ROBIN_1_BY_1` Deprecated
`static String` | `S_ROUND_ROBIN_1_BY_1` Deprecated
`static String` | `S_SET` Deprecated
`static SelectionType` | `SET` Deprecated

Method Summary
`boolean` | `equals(Object object)` Deprecated
`int` | `getInt()` Deprecated
`static SelectionType` | `getObject(String token)` Deprecated
`String` | `getString()` Deprecated
`int` | `hashCode()` Deprecated
`String` | `toString()` Deprecated

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated
  See Also
    Constants Summary

### I_ROUND_ROBIN_1_BY_1

    public static final int I_ROUND_ROBIN_1_BY_1

  Deprecated
  See Also
    Constants Summary

### I_SET

    public static final int I_SET

  Deprecated
  See Also
    Constants Summary

### ROUND_ROBIN_1_BY_1

    public static final SelectionType ROUND_ROBIN_1_BY_1

  Deprecated

### SET

    public static final SelectionType SET

  Deprecated

### S_ROUND_ROBIN_1_BY_1

    public static final String S_ROUND_ROBIN_1_BY_1

  Deprecated
  See Also
    Constants Summary

### S_SET

    public static final String S_SET

  Deprecated
  See Also
    Constants Summary

Method Detail

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

### getString

    public String getString()

  Deprecated

### getInt

    public int getInt()

  Deprecated

### getObject

    public static SelectionType getObject(String token)

  Deprecated

### equals

    public boolean equals(Object object)

  Deprecated
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.